net.minecraftforge.event.terraingen

## Class DeferredBiomeDecorator

- java.lang.Object
- - net.minecraft.world.biome.BiomeDecorator
  - - net.minecraftforge.event.terraingen.DeferredBiomeDecorator

-     public class DeferredBiomeDecorator
      extends BiomeDecorator

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.BiomeDecorator

      `bigMushroomGen, bigMushroomsPerChunk, biome, cactiPerChunk, cactusGen, chunk_X, chunk_Z, clayGen, clayPerChunk, coalGen, currentWorld, deadBushPerChunk, diamondGen, dirtGen, flowersPerChunk, generateLakes, goldGen, grassPerChunk, gravelAsSandGen, gravelGen, ironGen, lapisGen, mushroomBrownGen, mushroomRedGen, mushroomsPerChunk, plantRedGen, plantYellowGen, randomGenerator, redstoneGen, reedGen, reedsPerChunk, sandGen, sandPerChunk, sandPerChunk2, treesPerChunk, waterlilyGen, waterlilyPerChunk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredBiomeDecorator(BiomeGenBase biomeGenBase, BiomeDecorator wrappedOriginal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorate(World par1World, Random par2Random, int par3, int par4)` Decorates the world.
    `void` | `fireCreateEventAndReplace()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeferredBiomeDecorator

          public DeferredBiomeDecorator(BiomeGenBase biomeGenBase,
                                BiomeDecorator wrappedOriginal)

  - ### Method Detail

    - #### decorate

          public void decorate(World par1World,
                      Random par2Random,
                      int par3,
                      int par4)

      Description copied from class: `BiomeDecorator`
      Decorates the world. Calls code that was formerly (pre-1.8) in ChunkProviderGenerate.populate
      Overrides:
        `decorate` in class `BiomeDecorator`

    - #### fireCreateEventAndReplace

          public void fireCreateEventAndReplace()